package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemCourseGroupMemberPersonBindingImpl extends ItemCourseGroupMemberPersonBinding  {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = null;
    }
    // views
    @NonNull
    private final androidx.constraintlayout.widget.ConstraintLayout mboundView0;
    // variables
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemCourseGroupMemberPersonBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 3, sIncludes, sViewsWithIds));
    }
    private ItemCourseGroupMemberPersonBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (de.hdodenhof.circleimageview.CircleImageView) bindings[1]
            , (android.widget.TextView) bindings[2]
            );
        this.itemGroupMemberIcon.setTag(null);
        this.itemGroupMemberName.setTag(null);
        this.mboundView0 = (androidx.constraintlayout.widget.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x2L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.groupMember == variableId) {
            setGroupMember((com.ustadmobile.lib.db.entities.CourseGroupMemberPerson) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setGroupMember(@Nullable com.ustadmobile.lib.db.entities.CourseGroupMemberPerson GroupMember) {
        this.mGroupMember = GroupMember;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.groupMember);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        java.lang.String groupMemberFirstNamesJavaLangStringGroupMemberLastName = null;
        com.ustadmobile.port.android.view.util.ForeignKeyAttachmentUriAdapter personDetailFragmentFOREIGNKEYADAPTERPERSON = null;
        java.lang.String groupMemberLastName = null;
        java.lang.String groupMemberFirstNamesJavaLangString = null;
        com.ustadmobile.lib.db.entities.CourseGroupMemberPerson groupMember = mGroupMember;
        long groupMemberPersonUid = 0;
        java.lang.String groupMemberFirstNames = null;

        if ((dirtyFlags & 0x2L) != 0) {

                // read PersonDetailFragment.FOREIGNKEYADAPTER_PERSON
                personDetailFragmentFOREIGNKEYADAPTERPERSON = com.ustadmobile.port.android.view.PersonDetailFragment.getFOREIGNKEYADAPTER_PERSON();
        }
        if ((dirtyFlags & 0x3L) != 0) {



                if (groupMember != null) {
                    // read groupMember.lastName
                    groupMemberLastName = groupMember.getLastName();
                    // read groupMember.personUid
                    groupMemberPersonUid = groupMember.getPersonUid();
                    // read groupMember.firstNames
                    groupMemberFirstNames = groupMember.getFirstNames();
                }


                // read (groupMember.firstNames) + (" ")
                groupMemberFirstNamesJavaLangString = (groupMemberFirstNames) + (" ");


                // read ((groupMember.firstNames) + (" ")) + (groupMember.lastName)
                groupMemberFirstNamesJavaLangStringGroupMemberLastName = (groupMemberFirstNamesJavaLangString) + (groupMemberLastName);
        }
        // batch finished
        if ((dirtyFlags & 0x2L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageForeignKeyAdapter(this.itemGroupMemberIcon, personDetailFragmentFOREIGNKEYADAPTERPERSON);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.imageForeignKeyPlaceholder(this.itemGroupMemberIcon, androidx.appcompat.content.res.AppCompatResources.getDrawable(itemGroupMemberIcon.getContext(), R.drawable.ic_account_circle_black_24dp));
        }
        if ((dirtyFlags & 0x3L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageForeignKey(this.itemGroupMemberIcon, groupMemberPersonUid, (java.lang.String)null);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemGroupMemberName, groupMemberFirstNamesJavaLangStringGroupMemberLastName);
        }
    }
    // Listener Stub Implementations
    // callback impls
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): groupMember
        flag 1 (0x2L): null
    flag mapping end*/
    //end
}